﻿namespace TestProject
{
    /// <summary>
    /// 포인트 정보
    /// </summary>
    public class PointInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 복소수 Z
        /// </summary>
        public Complex Z;

        /// <summary>
        /// 단계 번호
        /// </summary>
        public int StepNumber;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PointInfo(z, stepNumber)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="z">복소수 Z</param>
        /// <param name="stepNumber">단계 번호</param>
        public PointInfo(Complex z, int stepNumber)
        {
            Z          = z;
            StepNumber = stepNumber;
        }

        #endregion
    }
}